PHP-инклюдинг в Cyberfolio

Дата публикации:
06.11.2006
Дата изменения:
12.05.2008
Всего просмотров:
19843
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Cyberfolio 2.x
Уязвимые версии: Cyberfolio 2.0 RC1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "av" в различных сценариях. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/portfolio/msg/view.php?av=[file]
http://[host]/portfolio/msg/inc_message.php?av=[file]
http://[host]/portfolio/msg/inc_envoi.php?av=[file]
http://[host]/portfolio/admin/incl_voir_compet.php?av=[file]

URL производителя: cyberfolio.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Cyberfolio <=2.0 RC1 $av Remote File Inclusion Vulnerability

или введите имя

CAPTCHA